/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */
 # $Header:execv.c 12.0$
 # $ACIS:execv.c 12.0$
 # $Source: /ibm/acis/usr/src/lib/libc/ca/sys/RCS/execv.c,v $
#include "SYS.h"

/*	execv(name, argv)
	char *name, *argv[];
		Transform to syscall:
	execve(name, argv, envp)
	char *name, *argv[], *envp[];
*/

SYSCODE(execv) 
	get	r4,$_environ
	l	r4,0(r4)
	SVC(execve)
				# Return?? must be error.
	get	r5,$_errno
	sts	r2,0(r5)	#update error number
	get	r2,$-1		#indicate error to C caller
	br	r15
	TTNOFRM
